## org.eclipse.datatools.modelbase.sql.datatypes
Interface StructuredUserDefinedType

All Superinterfaces:
  DataType, SQLObject, UserDefinedType

All Known Implementing Classes:
  StructuredUserDefinedTypeImpl

public interface StructuredUserDefinedType
extends UserDefinedType

A representation of the model object 'Structured User Defined Type'. Reference: 5WD-02-Foundation-2002-12 4.7 User-defined types

The following features are supported:

- `Instantiable`
- `Final`
- `Super`
- `Sub`
- `Attributes`
- `Methods`

See Also:
  `SQLDataTypesPackage.getStructuredUserDefinedType()`

Method Summary
`EList` `getAttributes()` Returns the value of the 'Attributes' containment reference list.
`EList` `getMethods()` Returns the value of the 'Methods' containment reference list.
`EList` `getSub()` Returns the value of the 'Sub' reference list.
`StructuredUserDefinedType` `getSuper()` Returns the value of the 'Super' reference.
`boolean` `isFinal()` Returns the value of the 'Final' attribute.
`boolean` `isInstantiable()` Returns the value of the 'Instantiable' attribute.
`void` `setFinal(boolean value)` Sets the value of the '`Final`' attribute.
`void` `setInstantiable(boolean value)` Sets the value of the '`Instantiable`' attribute.
`void` `setSuper(StructuredUserDefinedType value)` Sets the value of the '`Super`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### isInstantiable

    public boolean isInstantiable()

  Returns the value of the 'Instantiable' attribute. The default value is `"True"`.

  If the meaning of the 'Instantiable' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Instantiable' attribute.
  See Also:
    `setInstantiable(boolean)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Instantiable()`

### setInstantiable

    public void setInstantiable(boolean value)

  Sets the value of the '`Instantiable`' attribute.

  Parameters:
    `value` - the new value of the 'Instantiable' attribute.
  See Also:
    `isInstantiable()`

### isFinal

    public boolean isFinal()

  Returns the value of the 'Final' attribute.

  If the meaning of the 'Final' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Final' attribute.
  See Also:
    `setFinal(boolean)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Final()`

### setFinal

    public void setFinal(boolean value)

  Sets the value of the '`Final`' attribute.

  Parameters:
    `value` - the new value of the 'Final' attribute.
  See Also:
    `isFinal()`

### getSuper

    public StructuredUserDefinedType getSuper()

  Returns the value of the 'Super' reference. It is bidirectional and its opposite is '`Sub`'.

  If the meaning of the 'Super' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super' reference.
  See Also:
    `setSuper(StructuredUserDefinedType)`, `SQLDataTypesPackage.getStructuredUserDefinedType_Super()`, `getSub()`

### setSuper

    public void setSuper(StructuredUserDefinedType value)

  Sets the value of the '`Super`' reference.

  Parameters:
    `value` - the new value of the 'Super' reference.
  See Also:
    `getSuper()`

### getSub

    public EList getSub()

  Returns the value of the 'Sub' reference list. The list contents are of type `StructuredUserDefinedType`. It is bidirectional and its opposite is '`Super`'.

  If the meaning of the 'Sub' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sub' reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Sub()`, `getSuper()`

### getAttributes

    public EList getAttributes()

  Returns the value of the 'Attributes' containment reference list. The list contents are of type `AttributeDefinition`.

  If the meaning of the 'Attributes' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attributes' containment reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Attributes()`

### getMethods

    public EList getMethods()

  Returns the value of the 'Methods' containment reference list. The list contents are of type `Method`.

  If the meaning of the 'Methods' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Methods' containment reference list.
  See Also:
    `SQLDataTypesPackage.getStructuredUserDefinedType_Methods()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.